const slideshowTemplate=document.createElement("template");slideshowTemplate.innerHTML=`
<style>
  figure {
    margin: 0 auto;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }
  figcaption {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5px;
    background-color: var(--track-bk-color, rgba(0, 0, 0, 0.3));
  }
  .slide {
    position: relative;
    width: inherit;
    height: inherit;
    overflow: hidden;
  }
  .slide img {
    display: block;
    position: absolute;
    top: 0px;
    left: 0px;
  }
  svg {
    fill: var(--img-inactive-color, black)
  }
  .active > svg {
    fill: var(--img-active-color, white)
  }
</style>

<figure class='slideshow'>
  <div class='slide'></div>
  <figcaption></figcaption>
`;class SlideInSlideshow extends HTMLElement{constructor(){super(),this.attachShadow({mode:"open"}),this.shadowRoot.appendChild(slideshowTemplate.content.cloneNode(!0));var e=document.querySelector(".slide-in-slideshow"),t=(e.style.display="none",this.getAttribute("duration")??"5"),i=this.getAttribute("transition")??"l-r",o=this.getAttribute("t-time")??"1";const s=null!=this.getAttribute("img-track")&&"false"!==this.getAttribute("img-track");let a=e.querySelectorAll("img");var r=a.length,e=(e,t)=>Math.max(e,t),l=Array.from(a),n=l.map(e=>e.width).reduce(e,0),l=l.map(e=>e.height).reduce(e,0),c=(this.shadowRoot.querySelector("figure").style.width=n+"px",this.shadowRoot.querySelector("figure").style.height=l+"px",this.initCSS(i,t,o),this.shadowRoot.querySelector(".slide"));for(let e=0,t=null;e<r;e++)(t=a[e].cloneNode(!0)).id="",t.classList.add("hide"),c.append(t);a=c.querySelectorAll("img");for(let t=0;t<r;t++)a[t].addEventListener("animationstart",e=>{s&&([...d.querySelectorAll(".active")].forEach(e=>e.classList.remove("active")),d.children[h].classList.toggle("active"))}),a[t].addEventListener("animationend",e=>{this.makeBackground(a[t].src),a[t].classList.remove("show"),h=h+1>=a.length?h=0:h+1,a[h].classList.add("show")});let d=null,h=(s&&(d=this.imageIndicator(r)),0);this.makeBackground(a[h].src),s&&d.children[h].classList.toggle("active"),h=1,a[h].classList.add("show")}initCSS(e,t,i){var o=this.shadowRoot.styleSheets[0];let s,a;switch(e){case"b-t":s="margin-top: 100%;",a="from { margin-top:100%; } to { margin-top:0%; }";break;case"t-b":s="margin-top:-100%",a="from { margin-top:-100%; } to { margin-top:0%; }";break;case"r-l":s="margin-left: 100%",a="from { margin-left:100%; } to { margin-left:0%; }";break;default:s="margin-left: -100%",a="from { margin-left:-100%; } to { margin-left:0%; }"}o.insertRule(`.hide { ${s}; }`),o.insertRule(`.show { animation: ${i}s slide-image ${t}s linear; }`),o.insertRule(`@keyframes slide-image { ${a}; }`)}makeBackground(e){this.shadowRoot.querySelector("figure").style.backgroundImage=""===e?"none":`url(${e})`}imageIndicator(t){var i=this.shadowRoot.querySelector("figcaption");i.classList.add("image-indicator");for(let e=1;e<=t;e++){var o=document.createElement("span");o.style.display="inline-block",o.style.width="10px",o.innerHTML=`<svg height="12" width="12">
      <circle cx="6" cy="6" r="5" stroke="" stroke-width="1" fill="" />
      </svg>`,i.append(o)}return i}}window.customElements.define("show-slider",SlideInSlideshow);